--- title: "Get news search result" slug: "naver-api-hub-search-news" updated: 2026-10-08T04:15:36Z published: 2026-10-08T04:15:36Z canonical: "api.ncloud-docs.com/naver-api-hub-search-news" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get news search result Available in Classic and VPC Get news search results from NAVER Search. Note News searches use the Search API, which has a daily call limit of 25,000. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /search/v1/news | ### Request headers For information about the headers common to NAVER API HUB, see [NAVER API HUB request headers](/docs/en/naver-api-hub-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `query` | String | Required | Search keyword - Encoded with UTF-8 | | `display` | Integer | Optional | Number of search results to display at a time - `1`-`100` (default: `10`) | | `start` | Integer | Optional | Search start location - `1`-`1000` (default: `1`) | | `sort` | String | Optional | How to sort search results - `sim` (default) \| `date` - `sim`: Accuracy (descending) - `date`: Date (descending) | | `format` | String | Optional | Response format - `json` (default) \| `xml` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://naverapihub.apigw.ntruss.com/search/v1/news?query=커피&display=2&start=1&sort=date&format=json' \ --header 'X-NCP-APIGW-API-KEY-ID: {Client ID}' \ --header 'X-NCP-APIGW-API-KEY: {Client Secret}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `lastBuildDate` | String | - | Time the search results were generated | | `total` | Integer | - | Total number of search results | | `start` | Integer | - | Starting location for the search | | `display` | Integer | - | Number of search results to display at a time | | `items` | Array | - | List of individual search results: [items](/docs/en/naver-api-hub-search-news#items) | #### items The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `title` | String | - | News article title - Portions matching the search keyword are wrapped in `<b>` tags. | | `originallink` | String | - | URL of the original news article | | `link` | String | - | NAVER News URL for the news article - For articles not available on NAVER, the URL of the original article is returned. | | `description` | String | - | Passage information summarizing the news article content - Portions matching the search keyword are wrapped in `<b>` tags. | | `pubDate` | String | - | Time the news article was provided to NAVER - For articles not available on NAVER, the time the original article was published is returned. | ### Response status codes The following describes the response status codes: | HTTP status code | Code | Message | Description | | --- | --- | --- | --- | | 400 | `SE01` | Incorrect query request | Check for errors in the API request URL, such as the protocol or parameters. | | 400 | `SE02` | Invalid display value. | Check that the `display` value is within the allowed range. | | 400 | `SE03` | Invalid start value | Check that the `start` value is within the allowed range. | | 400 | `SE04` | Invalid sort value | Check the `sort` value for typos. | | 400 | `SE06` | Malformed encoding | Encode the search keyword in UTF-8. | | 404 | `SE05` | Invalid search API | Check the API request URL for typos. | | 500 | `SE99` | System error | An error occurred internally on the server. | Note For information about the response status codes common to all NAVER API HUB, see [NAVER API HUB response status codes](/docs/en/naver-api-hub-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "lastBuildDate": "Thu, 11 Jun 2026 19:03:00 +0900", "total": 2388472, "start": 1, "display": 2, "items": [ { "title": "NAVER launches "Local Ground" campaign … Expands AI-based support for local businesses", "originallink": "http://www.worktoday.co.kr/news/articleView.html?idxno=85535", "link": "http://www.worktoday.co.kr/news/articleView.html?idxno=85535", "description": "NAVER highlighted the local brand "Momos Coffee" as an example of its collaboration with the Busan region, emphasizing the potential for local brands to expand nationwide through its platform. This campaign aims to simultaneously drive the digital transformation of local commercial districts and revitalize tourism and consumption... ", "pubDate": "Thu, 11 Jun 2026 18:34:00 +0900" }, { "title": "Incheon City hosts "Village Enterprise Association Festival" at a Songdo apartment complex", "originallink": "https://www.gukjenews.com/news/articleView.html?idxno=3606281", "link": "https://www.gukjenews.com/news/articleView.html?idxno=3606281", "description": "The event will also feature free cultural activities for the whole family, including natural dyeing, coffee drip bags, and mother-of-pearl inlay keychain-making workshops. As a festival with an association with community-based enterprises, it will be held in an apartment complex—a living space for residents—to highlight the value and products of these enterprises... ", "pubDate": "Thu, 11 Jun 2026 18:30:00 +0900" } ] } ```